using System;

internal sealed class Delegate53 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate53 delegate53_1)
	{
		return delegate53_1(object_0);
	}

	public extern Delegate53(object object_0, IntPtr intptr_0);

	static Delegate53()
	{
		Class10.smethod_13(typeof(Delegate53).TypeHandle);
	}

	internal static Delegate53 delegate53_0;
}
